Bug 1622631 - reports using "group by" on date show a total column per vm instead of showing a total at the end of the report
Summary: reports using "group by" on date show a total column per vm instead of showin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.9.5
Assignee: Libor Pichler
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On: 1530221
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-27 15:44 UTC by Satoe Imaishi
Modified: 2018-11-05 13:59 UTC (History)
6 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1530221
Environment:
Last Closed: 2018-11-05 13:58:45 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:16 UTC

Comment 2 CFME Bot 2018-09-11 21:26:28 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/19a978ab5c1227c23d1ceee4227792bda5d90577
commit 19a978ab5c1227c23d1ceee4227792bda5d90577
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Aug 24 11:25:13 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Fri Aug 24 11:25:13 2018 -0400

    Merge pull request #17893 from lpichler/add_date_only_option_to_chargeback

    Add possibility to group by date only in chargeback
    (cherry picked from commit f1ee7980adc9caf6451a6b9fa12ae491d9f5ecb6)

    https://bugzilla.redhat.com/show_bug.cgi?id=1622631

 app/models/chargeback.rb | 19 +-
 app/models/chargeback/report_options.rb | 5 +
 spec/models/chargeback_vm_spec.rb | 60 +
 3 files changed, 82 insertions(+), 2 deletions(-)

Comment 3 CFME Bot 2018-09-17 17:17:53 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/0ea11b8b9bb4ef672e0c5f44921254b368d670e2
commit 0ea11b8b9bb4ef672e0c5f44921254b368d670e2
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Aug 27 06:04:44 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Aug 27 06:04:44 2018 -0400

    Merge pull request #4523 from lpichler/add_date_only_options_for_chargeback_grouping

    Add option Date Only for chargeback grouping
    (cherry picked from commit 975237aafdc77b8feec68ccfe24693dc08ce1acf)

    https://bugzilla.redhat.com/show_bug.cgi?id=1622631

 app/views/report/_form_filter_chargeback.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/4f2a0e6a227fa9df946226f06334ffd4a3f05a24
commit 4f2a0e6a227fa9df946226f06334ffd4a3f05a24
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Aug 27 10:16:07 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Aug 27 10:16:07 2018 -0400

    Merge pull request #4517 from lpichler/unify_group_by_date_and_vm

    Unify grouping option date and vm in chargeback filter tab
    (cherry picked from commit 974090668e360c606210eeecd5d1d0fd86dd2545)

    https://bugzilla.redhat.com/show_bug.cgi?id=1622631

 app/views/report/_form_filter_chargeback.html.haml | 7 +-
 1 file changed, 3 insertions(+), 4 deletions(-)

Comment 4 Tasos Papaioannou 2018-10-05 14:27:21 UTC
Verified on 5.9.5.0.

Comment 6 errata-xmlrpc 2018-11-05 13:58:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.